Package org.eclipse.mat.ui.internal

# Class CheatSheetStandbyContent

java.lang.Object
org.eclipse.mat.ui.internal.CheatSheetStandbyContent

All Implemented Interfaces:
  `IStandbyContentPart`

public final class CheatSheetStandbyContent extends Object implements IStandbyContentPart

## Constructor Summary

Constructors
Constructor
Description
`CheatSheetStandbyContent()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPartControl(Composite parent, FormToolkit toolkit)`
`void`
`dispose()`
`Control`
`getControl()`
`void`
`init(IIntroPart introPart, IMemento memento)`
`void`
`saveState(IMemento memento)`
`void`
`setFocus()`
`void`
`setInput(Object input)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CheatSheetStandbyContent

public CheatSheetStandbyContent()

## Method Details

### init

public void init(IIntroPart introPart, IMemento memento)

Specified by:
  `init` in interface `IStandbyContentPart`

### createPartControl

public void createPartControl(Composite parent, FormToolkit toolkit)

Specified by:
  `createPartControl` in interface `IStandbyContentPart`

### getControl

public Control getControl()

Specified by:
  `getControl` in interface `IStandbyContentPart`

### setInput

public void setInput(Object input)

Specified by:
  `setInput` in interface `IStandbyContentPart`

### setFocus

public void setFocus()

Specified by:
  `setFocus` in interface `IStandbyContentPart`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IStandbyContentPart`

### saveState

public void saveState(IMemento memento)

Specified by:
  `saveState` in interface `IStandbyContentPart`